/*
 * copyright (c) 2010 MDBitz - Matthew John Denton - mdbitz.com
 *
 * This file is part of WordPress Amazon Associate Plugin.
 *
 * WordPress Amazon Associate is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License as
 * published by the Free Sofatware Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * WordPress Amazon Associate is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with WordPress Amazon Associate.
 * If not, see <http://www.gnu.org/licenses/>.
*/
(function() {
	tinymce.create('tinymce.plugins.amazonproductlink', {
		init : function(ed, url) {
			
			// Register commands
			ed.addCommand('amazonproductlink', function() {
				ed.windowManager.open({
					file : url + '/amazon.php',
					width : 500,
					height : 450,
					inline : 1,
					auto_focus : 0
				}, {
					plugin_url : url
				});
			});

			// Register buttons
			ed.addButton('amazonproductlink', {
                            title : 'Amazon Product Link', 
                            cmd : 'amazonproductlink',
                            image : url + '/img/amazon.gif'});

		},

		getInfo : function() {
			return {
				longname : 'Amazon Product Links',
				author : 'MDBitz - Matthew Denton',
				authorurl : 'http://mdbitz.com',
				infourl : 'http://labs.mdbitz.com',
				version : '0.1'
			};
		},
                
                /**
		 * Creates control instances based in the incomming name. This method is normally not
		 * needed since the addButton method of the tinymce.Editor class is a more easy way of adding buttons
		 * but you sometimes need to create more complex controls like listboxes, split buttons etc then this
		 * method can be used to create those.
		 *
		 * @param {String} n Name of the control to create.
		 * @param {tinymce.ControlManager} cm Control manager to use inorder to create new control.
		 * @return {tinymce.ui.Control} New control instance or null if no control was created.
		 */
		createControl : function(n, cm) {
			return null;
		}
	});

	// Register plugin
	tinymce.PluginManager.add('amazonproductlink', tinymce.plugins.amazonproductlink);
})();